###################################################################
# Function Name: main_loop
#
# Activated By:  repeating command block 
#
# Functionality: run main game functionalities
###################################################################

# Function that sets parameters for player init
execute @a ~ ~ ~ function lobby/attempt_player_init


# Intro
execute @a[scores={IntroStep=10..70}] ~ ~ ~ function intro/intro_loop
# Base messages
execute @s[tag=IntroFinished] ~ ~ ~ function intro/final_msg_loop
# Bridge functionality
execute @s[scores={BridgeStep=1}] ~ ~ ~ function intro/bridge_loop
# Base entrance door closing loop
function door/door_loop


# Weather machine
execute @s[scores={WeatherStep=1}] ~ ~ ~ function generator/weather_machine_pc_yellow
execute @s[scores={WeatherStep=2}] ~ ~ ~ function generator/weather_machine_pc_orange
execute @s[scores={WeatherStep=3}] ~ ~ ~ function generator/weather_machine_pc_red
execute @s[scores={WeatherStep=4}] ~ ~ ~ function generator/weather_machine_pc_emerald
execute @s[scores={WeatherStep=5}] ~ ~ ~ function generator/weather_machine_pc_diamond

# Squid arena
execute @s[scores={ArenaSquidStep=!9999}] ~ ~ ~ function arena/squid/arena_loop
# Golem arena
execute @s[scores={ArenaGolemStep=!9999}] ~ ~ ~ function arena/golem/arena_loop
# Dragon arena
execute @s[scores={ArenaDragonStep=!9999}] ~ ~ ~ function arena/dragon/arena_loop
# Display info msg about killing all bosses
execute @s[scores={KilledBoss=3}] ~ ~ ~ function arena/all_bosses_defeated

# Doors
function arena/doors/squid/door_loop
function arena/doors/golem/door_loop
function arena/doors/dragon/door_loop

# Play bg music to players 
execute @a ~ ~ ~ function music_loop
